%define ver_major 2.10

Name: gnome-system-monitor
Version: %ver_major.1
Release: alt1

Summary: Simple process monitor
License: LGPL
Group: Monitoring
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define libgnomeui_ver 2.10.0
%define libgnomesu_ver 0.9.5
%define libgtop_ver 2.10.1
%define libwnck_ver 2.10.0
%define scrollkeeper_ver 0.3.14
%define GConf_ver 2.10.0
%define rpm_ver 4.0.4-alt14

PreReq: scrollkeeper >= %scrollkeeper_ver
PreReq: GConf2 >= %GConf_ver

Requires: libgnomeui >= %libgnomeui_ver
Requires: libgtop2 >= %libgtop_ver
Requires: libwnck >= %libwnck_ver
Requires: libgnomesu >= %libgnomesu_ver

BuildPreReq: menu-devel
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libgtop2-devel >= %libgtop_ver
BuildPreReq: libwnck-devel >= %libwnck_ver
BuildPreReq: libgnomesu-devel >= %libgnomesu_ver
BuildPreReq: rpm >= %rpm_ver

# Automatically added by buildreq on Mon Feb 07 2005
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgdbm-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomesu-devel libgnomeui-devel libgtk+2-devel libgtop2-devel libpango-devel libpopt-devel libstartup-notification libwnck-devel libxml2-devel perl-XML-Parser pkgconfig scrollkeeper xorg-x11-devel xorg-x11-libs

%description
Gnome-system-monitor is a simple process and system monitor.

%prep
%setup -q

%build
%configure --disable-schemas-install

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Applications/Monitoring" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

# remove non-packaged files
%__rm -rf %buildroot/var

%find_lang --with-gnome %name

%post
%update_scrollkeeper
%gconf2_install %name
%update_menus

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_scrollkeeper
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%_menudir/*
%config %_sysconfdir/gconf/schemas/*

%changelog
* Mon Apr 11 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.1-alt1
- 2.10.1

* Tue Mar 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Mon Feb 28 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.92-alt1
- 2.9.92.

* Mon Feb 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.90-alt1
- 2.9.90.

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.7.0-alt1
- 2.7.0

* Sun Jun 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0
- fix ##2076, 3818

* Mon Feb 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.3-alt1
- 2.5.3

* Mon Feb 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.2-alt1
- 2.5.2

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Mon Aug 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Fri Jun 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Mon Jan 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.4-alt1
- new version.

* Thu Nov 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.3-alt1
- 2.0.3

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2-alt2
- rebuild with new pango, gtk+

* Sat Sep 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2-alt1
- First build for Sisyphus.
